[PATCH 2/2] test: pytest runner for the test suite
David Bremner
david at tethera.net
Sat Apr 7 14:39:34 PDT 2018
The 'test_subtest_known_broken' should be removed when there are
actual tests to run.
Based on a function from Tomi [1]
[1]: id:m2r2nq23r9.fsf at guru.guru-group.fi
---
test/T391-pytest.sh | 14 ++++++++++++++
1 file changed, 14 insertions(+)
create mode 100755 test/T391-pytest.sh
diff --git a/test/T391-pytest.sh b/test/T391-pytest.sh
new file mode 100755
index 00000000..9ac7aabe
--- /dev/null
+++ b/test/T391-pytest.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+test_description="python bindings (pytest)"
+. $(dirname "$0")/test-lib.sh || exit 1
+
+test_require_external_prereq ${NOTMUCH_PYTHON}
+
+for bin in ${NOTMUCH_PYTEST_PYTHONS}; do
+ test_begin_subtest "pytest ($bin)"
+ test_subtest_known_broken
+ PYTHONPATH="$NOTMUCH_SRCDIR/bindings/python${PYTHONPATH:+:$PYTHONPATH}" \
+ test_expect_success "$bin -m pytest $NOTMUCH_SRCDIR/bindings/python"
+done
+
+test_done
--
2.16.3
More information about the notmuch
mailing list